Bug 131807 - after an update a serious discrepancy between yum and its docs
Summary: after an update a serious discrepancy between yum and its docs
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: yum   
(Show other bugs)
Version: 3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-05 00:20 UTC by Michal Jaegermann
Modified: 2014-01-21 22:49 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-05 08:11:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michal Jaegermann 2004-09-05 00:20:04 UTC
Description of problem:

After an update to yum-2.1.3 its manual page does not describe
that version anymore.  For example, it refers to documentation
of yum-arch which is not available. It describes commands like
'yum clean oldheaders' but attempt to use that results only
in "Usage:  yum [options] ..." message.

OTOH there are some actions like "generate-rss" which are not
described at all and options mentioned in Changelog ('--obsoletes')
where a meaning cannot be glimpsed even from a usage message
(not mentioning any other form of a documentation).

BTW - how to achieve effects equivalent to an old 'yum-arch'
is a real mystery.

Version-Release number of selected component (if applicable):
yum-2.1.3-1

Comment 1 Seth Vidal 2004-09-05 08:11:33 UTC
1. yum 2.1.X is not yet complete.
2. I acknowledged the lack of docs when I announced yum 2.1.X on
fedora-devel-list and yum-devel list
3. if you'd like to make a repository download and install createrepo
from: http://linux.duke.edu/metadata/generate/

I'm going to close this as upstream b/c it's something that's known
and being worked on by the upstream maintainer, me.


Note You need to log in before you can comment on or make changes to this bug.